Ayuda nota de credito!

Hola compañeros, tengo el siguiente problema, genero la nota de credito para una boleta electronica pero cuando trato de imprimirla me manda un error "Error to render compiling AST", tambien cuando intento descargar el "XML de envio" de boletas o notas de credito me envia a esta pagina "mipagina.cl/download/xml/boleta/14 - 404 not found", estoy usando los modulos "l10n_cl_fe" y "l10n_cl_dte_point_of_sale". Espero puedan ayudarme, muchas gracias.

 

Aca dejo el error que me manda odoo:

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 342, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_boleta_sii_barcode_layout_1433
AttributeError: 'NoneType' object has no attribute 'sii'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/addons/web/controllers/main.py", line 1617, in report_download
    response = self.report_routes(reportname, docids=docids, converter='pdf')
  File "/opt/odoo/odoo11/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo11-custom-addons/report_xlsx/controllers/main.py", line 43, in report_routes
    reportname, docids, converter, **data
  File "/opt/odoo/odoo11/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo/odoo11/addons/web/controllers/main.py", line 1566, in report_routes
    pdf = report.with_context(context).render_qweb_pdf(docids, data=data)[0]
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_actions_report.py", line 628, in render_qweb_pdf
    html = self.with_context(context).render_qweb_html(res_ids, data=data)[0]
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_actions_report.py", line 666, in render_qweb_html
    return self.render_template(self.report_name, data), 'html'
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_actions_report.py", line 470, in render_template
    return view_obj.render_template(template, values)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1195, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/opt/odoo/odoo11/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1204, in render
    return self.env[engine].render(self.id, qcontext)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 271, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 344, in _compiled_fn
    raise e
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 342, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_1084_1368
  File "<template>", line 2, in body_call_content_1367
  File "<template>", line 3, in foreach_1366
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 344, in _compiled_fn
    raise e
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 342, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_pos_boleta_ticket_body_1388
  File "<template>", line 2, in body_call_content_1387
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 349, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: 'NoneType' object has no attribute 'sii'
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 342, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_l10n_cl_dte_point_of_sale_report_boleta_sii_barcode_layout_1433
AttributeError: 'NoneType' object has no attribute 'sii'

Error to render compiling AST
AttributeError: 'NoneType' object has no attribute 'sii'
Template: l10n_cl_dte_point_of_sale.report_boleta_sii_barcode_layout
Path: /templates/t/div/div[2]/p/t[3]
Node: <t t-if="o.document_class_id.sii_code in [ 61 ]" t-esc="www.sii.cl"/>

peter albiña
peter albiña
27
| 2 1 1
Preguntado en 21-09-18 2:38
0
voto
809 Vistas

Su respuesta

Trate por favor de dar una respuesta sustancial. Si quiere comentar en la pregunta o la respuesta, sólo use la herramienta de comentarios. Recuerde que siempre puede revise sus respuestas - no hay necesidad de responder dos veces la misma pregunta. También no olvide votar - ¡ayuda realmente a seleccionar las mejores preguntas y respuestas!

Realizar una pregunta

Mantener informado

Sobre este foro 

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios.

Lea las directrices

Herramientas de las preguntas

73 seguidor(es)

Estadísticas

Preguntado: 21-09-18 2:38
Visto: 809 veces
Última actualización: 21-09-18 2:38